public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Jitka Plesnikova <jplesnik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [rpms/perl-Sys-Virt] epel10: 7.2.0 bump
Date: Mon, 29 Jun 2026 14:33:05 GMT	[thread overview]
Message-ID: <178274358512.1.4817265454978277932.rpms-perl-Sys-Virt-8d751177caeb@fedoraproject.org> (raw)

A new commit has been pushed.

Repo   : rpms/perl-Sys-Virt
Branch : epel10
Commit : 8d751177caebb7005c0a76c72cf6756d72ac93b2
Author : Jitka Plesnikova <jplesnik@redhat.com>
Date   : 2021-04-06T16:00:52+02:00
Stats  : +14/-17 in 2 file(s)
URL    : https://src.fedoraproject.org/rpms/perl-Sys-Virt/c/8d751177caebb7005c0a76c72cf6756d72ac93b2?branch=epel10

Log:
7.2.0 bump

---
diff --git a/perl-Sys-Virt.spec b/perl-Sys-Virt.spec
index 094e40a..288b1f3 100644
--- a/perl-Sys-Virt.spec
+++ b/perl-Sys-Virt.spec
@@ -1,5 +1,5 @@
 Name:           perl-Sys-Virt
-Version:        7.1.0
+Version:        7.2.0
 Release:        1%{?dist}
 Summary:        Represent and manage a libvirt hypervisor connection
 License:        GPLv2+ or Artistic
@@ -31,10 +31,12 @@ BuildRequires:  perl(Test::More)
 BuildRequires:  perl(Time::HiRes)
 BuildRequires:  perl(XML::XPath)
 BuildRequires:  perl(XML::XPath::XMLParser)
-# Optional tests are not executed
-#BuildRequires:  perl(Test::CPAN::Changes)
-#BuildRequires:  perl(Test::Pod) >= 1.00
-#BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
+# Optional tests
+%if ! 0%{?rhel}
+BuildRequires:  perl(Test::CPAN::Changes)
+BuildRequires:  perl(Test::Pod) >= 1.00
+BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
+%endif
 Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
 
 %description
@@ -56,20 +58,10 @@ with "%{_libexecdir}/%{name}/test".
 
 # Help file to recognise the Perl scripts and normalize shebangs
 for F in t/*.t; do
-    if head -1 "$F" | grep -q -e '^#!.*perl' ; then
-        perl -MConfig -pi -e 's|^#!.*perl\b|$Config{startperl}|' "$F"
-    else
-        perl -i -MConfig -ple 'print $Config{startperl} if $. == 1' "$F"
-    fi
+    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
     chmod +x "$F"
 done
 
-# Remove release tests
-for F in t/005-pod.t t/010-pod-coverage.t t/015-changes.t; do
-    rm "$F"
-    perl -i -ne 'print $_ unless m{^\Q'"$F"'\E}' MANIFEST
-done
-
 %build
 perl Build.PL installdirs=vendor
 ./Build
@@ -81,6 +73,8 @@ find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
 # Install tests
 mkdir -p %{buildroot}/%{_libexecdir}/%{name}
 cp -a t %{buildroot}/%{_libexecdir}/%{name}
+rm -f %{buildroot}/%{_libexecdir}/%{name}/t/*-pod*.t
+rm -f %{buildroot}/%{_libexecdir}/%{name}/t/015-changes.t
 cat > %{buildroot}/%{_libexecdir}/%{name}/test << 'EOF'
 #!/bin/sh
 cd %{_libexecdir}/%{name} && exec prove -I . -j "$(getconf _NPROCESSORS_ONLN)"
@@ -104,6 +98,9 @@ export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print
 %{_libexecdir}/%{name}
 
 %changelog
+* Tue Apr 06 2021 Jitka Plesnikova <jplesnik@redhat.com> - 7.2.0-1
+- 7.2.0 bump
+
 * Tue Mar 02 2021 Jitka Plesnikova <jplesnik@redhat.com> - 7.1.0-1
 - 7.1.0 bump
 - Package tests

diff --git a/sources b/sources
index acbf436..db67d78 100644
--- a/sources
+++ b/sources
@@ -1 +1 @@
-SHA512 (Sys-Virt-v7.1.0.tar.gz) = b75196248b56dffc03b671383bbd4fe7ef2edab8b77dc3cf612af961d8270c7bc09ec8d125a8f581bf9cd2a85bb6309bc7ba435ef5224f0913ae4980741ae732
+SHA512 (Sys-Virt-v7.2.0.tar.gz) = c6e4f80930ac49622d26165980d5908de2f734dcba45c782a26e2b645e3df6af175acbbbf7c094ecefbb4e6244b2ddd76cc819332c9752e9685112ce28b0f163

                 reply	other threads:[~2026-06-29 14:33 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178274358512.1.4817265454978277932.rpms-perl-Sys-Virt-8d751177caeb@fedoraproject.org \
    --to=jplesnik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox